Bug 1251832 - Bugs not paired together
Bugs not paired together
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 02:00 EDT by Milan Crha
Modified: 2017-12-12 05:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:05:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2015-08-10 02:00:40 EDT
I do not know whether the user didn't choose to "file bug anyway", neither whether it's possible in the ABRT's GUI, but I was just forced to do ABRT's work manually. Bug #1251574 and bug #1246480 were not paired together, despite they have the same abrt_hash in the Whiteboard.

Is the reason that the crash happened in one application, while the older bug report is filled under different component?

If so, then I do not think the component should matter, basically because, as in this case, the older bug report had been triaged and moved to the possible component which would cause the crash, which is, in this case, a library the crashing application uses.

I sometimes even mark newer ABRT reports with reports from a different Fedora release version, it's in cases when the bug is hard to reproduce, thus it "survives" multiple releases. That's also a valid case from my point of view.
Comment 1 Matej Habrnal 2015-08-11 08:07:45 EDT
Thank you for taking the time to report this bug.

(In reply to Milan Crha from comment #0)
> I do not know whether the user didn't choose to "file bug anyway", neither
> whether it's possible in the ABRT's GUI, but I was just forced to do ABRT's
> work manually. Bug #1251574 and bug #1246480 were not paired together,
> despite they have the same abrt_hash in the Whiteboard.
>
> Is the reason that the crash happened in one application, while the older
> bug report is filled under different component?

Yes, this is the reason. ABRT did not mark the bug as a duplicate because of different component.

> 
> If so, then I do not think the component should matter, basically because,
> as in this case, the older bug report had been triaged and moved to the
> possible component which would cause the crash, which is, in this case, a
> library the crashing application uses.

You are right but searching for duplicate bugs must dependents on the component too because there is no way to figure out the already existing bug was switched to the right component. There are some examples of bugzilla bugs, which I cannot find quickly, with the same abrt_hash (almost same backtrace) and different component and the bugs are not duplicate.

> 
> I sometimes even mark newer ABRT reports with reports from a different
> Fedora release version, it's in cases when the bug is hard to reproduce,
> thus it "survives" multiple releases. That's also a valid case from my point
> of view.

In the case the same bug occurs on a different Fedora release version a new bugzilla is created. The new bugzilla contains a note that says there is a potential duplicate bug with the same component and abrt_hash on different Fedora release version. This solution is because we don't want reopen closed bugs on older Fedoras.

What about adding a note to the bug's description which would say that there are bug reports that have similar backtrace and an URL how to list them?
Comment 2 Milan Crha 2015-08-12 04:32:38 EDT
Okay, for the other points, even in my case the duplicate bug still means an intervention from me, instead of the machine saving my time.

(In reply to Matej Habrnal from comment #1)
> What about adding a note to the bug's description which would say that there
> are bug reports that have similar backtrace and an URL how to list them?

Yes, that would be helpful.

How would you do it in practice? I think it would be useful to not give a link to the list of all the items if there are only less than (or equal to) 5 similar bugs and give the links to them directly (name those up to 5 bugs in the comment in a way bugzilla will linkify them, while I expect to have usually like one opened bug report). You shouldn't include closed bugs in the inline bug list, so the text might be like:
   There is opened a similar bug #XXXXXXX
or
   There are opened similar bug reports: bug #XXXXXXX, bug #YYYYYYY
or
   There are filled similar bug reports https://bugzilla.redhat.com/...

Though it feels like the link for the list would be helpful in all cases, because I usually upstream ABRT bug reports, thus they are closed and the link would help to find them easily.
Comment 3 Matej Habrnal 2015-08-12 10:10:07 EDT
We were discussing the idea of adding names of max 5 potential bugs to the description and the idea of adding a link to the list of all the potential duplicate bugs as well but there is a problem with the later ones. The names of max 5 potential bugs are not always actual because there might be new potential duplicates created later. For example, we report a bug and an id of a potential duplicate bug (the bug with the same abrt_hash) is added to the description. After some time there could be more then 1 potential duplicate bug (for example 20) but the description says there is only one. This is a little bit confusing. So this is the reason why we have decided to add only URL. The URL will always list always all actual potential duplicate bugs.

Do you now agree with adding only the URL?
Comment 4 Milan Crha 2015-08-13 03:13:17 EDT
My work flow is to mark newer bugs as duplicates of older bugs. It makes sense, I do not see to the future. It also makes sense that the comment is relevant for the time when it was written, that's why you see the time stamp on it. It says the relevancy (with respect of the time). It makes sense that the future can change statements made in the past, like in your example. If you think of the ABRT reports as "being treated as soon as possible", then the "problem" of obsolete/incomplete list of possible duplicates being given in time T, is all fine (unfortunately the opposite is the current state, from my experience). I do not think you want to see in the inlined list of bugs those with higher ID, but it makes sense to be able to search for them in general (with the link).

That's just my opinion and work flow.

If you want to add only the link, then I'm fine with it. Especially when the link will not be too complicated (too long in the comment), just to not clutter the bugzilla comment.

I suppose you'd offer such link only for bugs where you'll know the duplicates (the same abrt_hash) is available. That makes sense, though the same argument as with the inline bug listing can be used here: how do you know that the bug report will not have some "duplicates" filled in the future? Would it make sense to include the "Search for possible duplicates" to each ABRT bug report, even most of them will have the list empty?
Comment 5 Fedora End Of Life 2016-07-19 13:27:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jan Kurik 2016-07-26 00:01:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Fedora End Of Life 2017-11-16 13:44:28 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 05:05:01 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.